| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::param_info Struct Reference

Details of a command parameter used in registration. Note that for non-slash commands optional parameters can only be at the end of the list of parameters. More...

`#include <commandhandler.h>`

Collaboration diagram for dpp::param_info:
[legend]

## Public Member Functions

| param_info (parameter_type t, bool o, const std::string &description, const std::map< command_value, std::string > &opts={})
| Construct a new param_info object.

## Public Attributes

std::map< command_value, std::string > | choices
| Allowed multiple choice options. The key name is the string passed to the command handler and the key value is its description displayed to the user.
std::string | description
| Description of command. Displayed only for slash commands.
bool | optional
| True if the parameter is optional. For non-slash commands optional parameters may only be on the end of the list.
parameter_type | type
| Type of parameter.

## Detailed Description

Details of a command parameter used in registration. Note that for non-slash commands optional parameters can only be at the end of the list of parameters.

## Constructor & Destructor Documentation

## ◆ param_info()

dpp::param_info::param_info | ( | parameter_type | t,
|  | bool | o,
|  | const std::string & | description,
|  | const std::map< command_value, std::string > & | opts = {} )

Construct a new param_info object.

Parameters

  t | Type of parameter
  o | True if parameter is optional
  description | The parameter description
  opts | The options for a multiple choice parameter

## Member Data Documentation

## ◆ choices

std::map<command_value, std::string> dpp::param_info::choices

Allowed multiple choice options. The key name is the string passed to the command handler and the key value is its description displayed to the user.

## ◆ description

std::string dpp::param_info::description

Description of command. Displayed only for slash commands.

## ◆ optional

bool dpp::param_info::optional

True if the parameter is optional. For non-slash commands optional parameters may only be on the end of the list.

## ◆ type

parameter_type dpp::param_info::type

Type of parameter.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0